<template>
  <div class="mx-auto container">
    <lobby-entry-list />
  </div>
</template>

<script lang="ts">
import { defineComponent, computed } from "vue";

import { store } from "@/store";

export default defineComponent({
  name: "Sport",
  setup() {
    const authenticated = computed(() => store.state.auth);
    const env = computed(() => process.env.VUE_APP_CURRENTLY_ENV);
    const url = computed(() => {
      if (env.value === "demo") {
        return "https://sports-bsi-demo.568win.com/web-root/restricted/default.aspx?lang=en&theme=sbo";
      }
      return "https://sports-bsi.sswwkk.com/web-root/restricted/default.aspx?lang=en&theme=sbo";
    });
    return {
      authenticated,
      url,
    };
  },
});
</script>
